local C = require("classic")
local M = require("menu")

function menu_item_exists(id)
   for k,v in ipairs(kts.MENU.items) do
      if v.id == id then
         return true
      end
   end
   return false
end

function add_menu_item_after(item_id, old_id)
   if menu_item_exists(old_id) then
      local pos
      for k,v in ipairs(kts.MENU.items) do
         if v.id == old_id then
            pos = k
            break
         end
      end
      table.insert(kts.MENU.items, pos+1, item_id) -- Add after the specified choice
   else
      table.insert(kts.MENU.items, item_id)  -- Add it at the end.
   end
end


-- Menu item for skeletons
skel_item = { 
   id = "skeletons",
   text = "Skeletons",
   choice_min = 0,
   choice_max = 10,
   features = function(S)
      if S.skeletons > 0 then  
	    C.add_initial_monsters(m_skelor_fist, S.skeletons)
        C.add_monster_limit   (m_skelor_fist, S.skeletons)
      end
   end
}

add_menu_item_after(skel_item, "bats")
